# vkpoint_api

**vkpoint** - это python модуль для работы с монетой VK Point (VK Point API wrapper)
* [Сама библиотека](./vkpoint) (python3)

```python
from vkpoint import *

merchant = VKPoint(user_id = Ваш ID, token = 'TOKEN')
```
***user_id*** - id аккаунта с которого получили access_token

***token*** — ключ приложения VK Point (ключ получаем [здесь](https://vkpoint.vposter.ru/api/method/token))

Перевод VK Point с аккаунта на другой аккаунт. Учтите, перевод работает только на те аккаунты, которые есть в приложении VK Point :
```python
merchant.send_payment(user_id, point)
```
***user_id*** — кому переводим

***point*** — сумма перевода (если на балансе аккаунта, с которого переводим не достаточно средств, то выведет ошибку)

Истории переводов
-----------------------------------
```python
merchant.get_history(user_id)
```
***user_id*** — id пользователя (чью историю переводов выводим)


Вывод данных профиля
-----------------------------------
```python
merchant.get_point(user_id)
```
***user_id*** — id пользователя (чью информацию выводим)

Вывод общего топа пользователей
-----------------------------------
```python
merchant.get_top(count)
```
***count*** — количество выводимых пользователей

Вывод общего топа VIP пользователей
-----------------------------------
```python
merchant.get_top_vip(count)
```
***count*** — количество выводимых пользователей

Вывод топа сообществ
-----------------------------------
```python
merchant.get_top_groups(count)
```
***count*** — количество выводимых пользователей

Информация о сообществе (Обязательный пункт, установлено приложение VK Point в группе)
-----------------------------------
```python
merchant.get_info_groups(group_id)
```
***group_id*** — id группы (чью информацию выводим)

Аналогичен методу get_point, только можно вывести информацию о нескольких пользователях одним запросом
-----------------------------------
```python
merchant.get_point_ids(user_ids)
```
***user_ids*** — id пользователей через запятую
**Привер :**  merchant.get_point_ids("1, 2, 3, 4, 5")

Вывод списка игр
-----------------------------------
```python
merchant.get_games_get_byid()
```
**Возвращает массив items:**

* id — порядковый номер

* title — название

* photo — иконка

* description — короткое описание

* active — активность игры (1 активна, 0 не активна)

* link — ссылка на игру


Поиск по пользователям
-----------------------------------
```python
merchant.get_search(search, count)
```
***search*** — Имя или слово.

***count***  — Максимальное выводимое кол-во пользователей в поиске

Уведомления сервиса
-----------------------------------
```python
merchant.get_app_notif(count)
```
***count***  — Максимальное выводимое кол-во уведомлений

Выводит список пользователей биржи
-----------------------------------
```python
merchant.get_ex_top(count)
```
***count***  — Максимальное выводимое кол-во

Поиск в бирже
-----------------------------------
```python
merchant.get_ex_search(search, count)
```
***search*** — Имя или слово.

***count***  — Максимальное выводимое кол-во

Выводит информацию о том, сколько отправлено поинтов пользователю (переводы).
-----------------------------------
Этим методом можно подсчитать сколько осталось до лимита (100КК ботам).
```python
merchant.merchant_get(user_id)
```
***user_id*** — С кем проверить остаток по переводам.

Связь:
-----------------------------------
ВКонтакте: vk.com/krech_man

















